/*============================================================================
  File:     Parallelism.sql

  Summary:  Create some parallelism waits

  SQL Server Versions: 2005 onwards
------------------------------------------------------------------------------
  Written by Paul S. Randal, SQLskills.com

  (c) 2011, SQLskills.com. All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you include this copyright and give due
  credit, but you must obtain prior permission before blogging this code.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

/*
USE [master];
GO

IF DATABASEPROPERTYEX (N'ParallelismTest', N'Version') > 0
BEGIN
	ALTER DATABASE [ParallelismTest] SET SINGLE_USER
		WITH ROLLBACK IMMEDIATE;
	DROP DATABASE [ParallelismTest];
END
GO

RESTORE DATABASE [ParallelismTest] FROM
DISK = N'D:\SQLskills\DemoBackups\Parallelism.bak'
WITH REPLACE, STATS;
GO
*/

-- Clear latches and waits

USE [ParallelismTest];
GO

SET NOCOUNT ON;
GO

DECLARE @ExecString VARCHAR (8000);
DECLARE @starttime DATETIME;

WHILE (1=1)
BEGIN
	SELECT @starttime = GETDATE ();
	
	-- Calculate doc name length
	SELECT @ExecString = 'SELECT TOP 10 * FROM [NonSparseDocRepository] ORDER BY [c' +
		CAST (CONVERT (INT, RAND () * 996 + 4) AS VARCHAR) +
		'] DESC OPTION (MAXDOP 8)';
		
	EXEC (@ExecString);
	
	SELECT DATEDIFF (SECOND, @starttime, GETDATE ());
	
	WAITFOR DELAY '00:00:00.5';
END;
GO

-- Explain os_waiting_tasks - problem is thread not waiting for CXPACKET
-- Refresh a few times to see LATCH_EX showing up

-- Look at latch stats

-- Look at stats

-- Add in OPTION (MAXDOP 4), look at stats

-- Add in OPTION (MAXDOP 2), look at stats

-- Add in OPTION (MAXDOP 1), look at stats