USE [master];
GO

IF DATABASEPROPERTYEX (N'KeyUpdateTest', N'Version') > 0
BEGIN
	ALTER DATABASE [KeyUpdateTest] SET SINGLE_USER
		WITH ROLLBACK IMMEDIATE;
	DROP DATABASE [KeyUpdateTest];
END
GO

CREATE DATABASE [KeyUpdateTest];
GO

USE [KeyUpdateTest];
GO
ALTER DATABASE [KeyUpdateTest] SET RECOVERY SIMPLE;
GO

-- Create a table with a clustered index and a single
-- record
CREATE TABLE [test] (
	[c1] INT, [c2] INT, [c3] INT, [c4] INT,
	[c5] INT, [c6] INT, [c7] INT, [c8] INT);

CREATE CLUSTERED INDEX [test_cl] ON [test] ([c1]);
GO

-- Start a transaction
BEGIN TRAN
INSERT INTO [test] VALUES (1, 2, 3, 4, 5, 6, 7, 8);
GO

-- Look at usage

COMMIT TRAN;
GO

-- Now add single-column nonclustered indexes
CREATE NONCLUSTERED INDEX [test_ncl1] ON [test] ([c1]);
CREATE NONCLUSTERED INDEX [test_ncl2] ON [test] ([c2]);
CREATE NONCLUSTERED INDEX [test_ncl3] ON [test] ([c3]);
CREATE NONCLUSTERED INDEX [test_ncl4] ON [test] ([c4]);
CREATE NONCLUSTERED INDEX [test_ncl5] ON [test] ([c5]);
CREATE NONCLUSTERED INDEX [test_ncl6] ON [test] ([c6]);
CREATE NONCLUSTERED INDEX [test_ncl7] ON [test] ([c7]);
CREATE NONCLUSTERED INDEX [test_ncl8] ON [test] ([c8]);
GO

-- Start a transaction
BEGIN TRAN
INSERT INTO [test] VALUES (9, 10, 11, 12, 13, 14, 15, 16);
GO

-- Look at usage

COMMIT TRAN;
GO

